#import "BlaccountFlutterPlugin.h"
#import "AppSDKManager.h"



@implementation BlaccountFlutterPlugin
+ (void)registerWithRegistrar:(NSObject<FlutterPluginRegistrar>*)registrar {
  FlutterMethodChannel* channel = [FlutterMethodChannel
      methodChannelWithName:@"blaccount_flutter_plugin"
            binaryMessenger:[registrar messenger]];
  BlaccountFlutterPlugin* instance = [[BlaccountFlutterPlugin alloc] init];
  [registrar addMethodCallDelegate:instance channel:channel];
}

- (void)handleMethodCall:(FlutterMethodCall*)call result:(FlutterResult)result {
    if ([@"getPlatformVersion" isEqualToString:call.method]) {
        result([@"iOS " stringByAppendingString:[[UIDevice currentDevice] systemVersion]]);
    }else if ([@"init_blsdk_account" isEqualToString:call.method]) {
        [[AppSDKManager sharedManager] blAppSDKAccountInit];
        result(@(1));
    }else if ([@"login" isEqualToString:call.method]) {
        [[AppSDKManager sharedManager] loginWithInfo:[[AppSDKManager sharedManager] p_toDictory:[call.arguments objectForKey:@"data"]] success:^(id  _Nullable param) {
            result([[AppSDKManager sharedManager] p_toJsonString:param]);
        } failure:^(id  _Nonnull param) {
            result([[AppSDKManager sharedManager] p_toJsonString:param]);
        }];
    }else if ([@"local_login" isEqualToString:call.method]) {
        [[AppSDKManager sharedManager] localLoginWithInfo:[[AppSDKManager sharedManager] p_toDictory:[call.arguments objectForKey:@"data"]] success:^(id  _Nullable param) {
            result([[AppSDKManager sharedManager] p_toJsonString:param]);
        } failure:^(id  _Nonnull param) {
            result([[AppSDKManager sharedManager] p_toJsonString:param]);
        }];
    }else if ([@"send_phone_reg_vcode" isEqualToString:call.method]) {
        [[AppSDKManager sharedManager] sendPhoneCodeForRegisterWithInfo:[[AppSDKManager sharedManager] p_toDictory:[call.arguments objectForKey:@"data"]] success:^(id  _Nullable param) {
            result([[AppSDKManager sharedManager] p_toJsonString:param]);
        } failure:^(id  _Nonnull param) {
            result([[AppSDKManager sharedManager] p_toJsonString:param]);
        }];
    }else if ([@"send_email_reg_vcode" isEqualToString:call.method]) {
        [[AppSDKManager sharedManager] sendEmailCodeForRegisterWithInfo:[[AppSDKManager sharedManager] p_toDictory:[call.arguments objectForKey:@"data"]] success:^(id  _Nullable param) {
            result([[AppSDKManager sharedManager] p_toJsonString:param]);
        } failure:^(id  _Nonnull param) {
            result([[AppSDKManager sharedManager] p_toJsonString:param]);
        }];
    }else if ([@"regist" isEqualToString:call.method]) {
        [[AppSDKManager sharedManager] registerAccountWithInfo:[[AppSDKManager sharedManager] p_toDictory:[call.arguments objectForKey:@"data"]] success:^(id  _Nullable param) {
            result([[AppSDKManager sharedManager] p_toJsonString:param]);
        } failure:^(id  _Nonnull param) {
            result([[AppSDKManager sharedManager] p_toJsonString:param]);
        }];
    }else if ([@"reset_password" isEqualToString:call.method]) {
        [[AppSDKManager sharedManager] resetPwdWithInfo:[[AppSDKManager sharedManager] p_toDictory:[call.arguments objectForKey:@"data"]] success:^(id  _Nullable param) {
            result([[AppSDKManager sharedManager] p_toJsonString:param]);
        } failure:^(id  _Nonnull param) {
            result([[AppSDKManager sharedManager] p_toJsonString:param]);
        }];
    }else if ([@"send_reset_pwd_vcode" isEqualToString:call.method]) {
        [[AppSDKManager sharedManager] resetPwdSendVCodeWithInfo:[[AppSDKManager sharedManager] p_toDictory:[call.arguments objectForKey:@"data"]] success:^(id  _Nullable param) {
            result([[AppSDKManager sharedManager] p_toJsonString:param]);
        } failure:^(id  _Nonnull param) {
            result([[AppSDKManager sharedManager] p_toJsonString:param]);
        }];
    }else if ([@"send_modify_phone_vcode" isEqualToString:call.method]) {
        [[AppSDKManager sharedManager] sendVCodeToModifyPhoneWithInfo:[[AppSDKManager sharedManager] p_toDictory:[call.arguments objectForKey:@"data"]] success:^(id  _Nullable param) {
            result([[AppSDKManager sharedManager] p_toJsonString:param]);
        } failure:^(id  _Nonnull param) {
            result([[AppSDKManager sharedManager] p_toJsonString:param]);
        }];
    }else if ([@"send_modify_email_vcode" isEqualToString:call.method]) {
        [[AppSDKManager sharedManager] sendVCodeToModifyEmailWithInfo:[[AppSDKManager sharedManager] p_toDictory:[call.arguments objectForKey:@"data"]] success:^(id  _Nullable param) {
            result([[AppSDKManager sharedManager] p_toJsonString:param]);
        } failure:^(id  _Nonnull param) {
            result([[AppSDKManager sharedManager] p_toJsonString:param]);
        }];
    }else if ([@"modify_email" isEqualToString:call.method]) {
        [[AppSDKManager sharedManager] modifyEmailWithInfo:[[AppSDKManager sharedManager] p_toDictory:[call.arguments objectForKey:@"data"]] success:^(id  _Nullable param) {
            result([[AppSDKManager sharedManager] p_toJsonString:param]);
        } failure:^(id  _Nonnull param) {
            result([[AppSDKManager sharedManager] p_toJsonString:param]);
        }];
    }else if ([@"modify_phone" isEqualToString:call.method]) {
        [[AppSDKManager sharedManager] modifyPhoneWithInfo:[[AppSDKManager sharedManager] p_toDictory:[call.arguments objectForKey:@"data"]] success:^(id  _Nullable param) {
            result([[AppSDKManager sharedManager] p_toJsonString:param]);
        } failure:^(id  _Nonnull param) {
            result([[AppSDKManager sharedManager] p_toJsonString:param]);
        }];
    }else if ([@"modify_password" isEqualToString:call.method]) {
        [[AppSDKManager sharedManager] modifyPwdWithInfo:[[AppSDKManager sharedManager] p_toDictory:[call.arguments objectForKey:@"data"]] success:^(id  _Nullable param) {
            result([[AppSDKManager sharedManager] p_toJsonString:param]);
        } failure:^(id  _Nonnull param) {
            result([[AppSDKManager sharedManager] p_toJsonString:param]);
        }];
    }else if ([@"modify_nickname" isEqualToString:call.method]) {
        [[AppSDKManager sharedManager] modifyNickNameWithInfo:[[AppSDKManager sharedManager] p_toDictory:[call.arguments objectForKey:@"data"]] success:^(id  _Nullable param) {
            result([[AppSDKManager sharedManager] p_toJsonString:param]);
        } failure:^(id  _Nonnull param) {
            result([[AppSDKManager sharedManager] p_toJsonString:param]);
        }];
    }else if ([@"modify_icon" isEqualToString:call.method]) {
        [[AppSDKManager sharedManager] modifyIncopathWithInfo:[[AppSDKManager sharedManager] p_toDictory:[call.arguments objectForKey:@"data"]] uccess:^(id  _Nullable param) {
            result([[AppSDKManager sharedManager] p_toJsonString:param]);
        } failure:^(id  _Nonnull param) {
            result([[AppSDKManager sharedManager] p_toJsonString:param]);
        }];
    }else if ([@"query_users_info" isEqualToString:call.method]) {
        [[AppSDKManager sharedManager] getUserInfoWithInfo:[[AppSDKManager sharedManager] p_toDictory:[call.arguments objectForKey:@"data"]] uccess:^(id  _Nullable param) {
            result([[AppSDKManager sharedManager] p_toJsonString:param]);
        } failure:^(id  _Nonnull param) {
            result([[AppSDKManager sharedManager] p_toJsonString:param]);
        }];
    } else {
        result(FlutterMethodNotImplemented);
    }
}

@end
